## kmix 4.13.0

=== plasma/CMakeLists.txt ===
add_subdirectory( engine )

=== profiles/CMakeLists.txt ===
install( FILES 
  OSS.default.xml 
  ALSA.default.xml 
  ALSA.playback.xml 
  ALSA.capture.xml 
  ALSA.TerraTec_DMX6Fire.1.default.xml
	DESTINATION  ${DATA_INSTALL_DIR}/kmix/profiles )

## kmix 4.9.2

=== debian/changelog ===
kmix (4:4.9.2-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * Remove upstream_fix-master-channel-selection.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Oct 2012 15:21:35 +0100

kmix (4:4.9.1-0ubuntu2) quantal; urgency=low

  * cherry pick upstream commit 0addbb2d9cea4bef7146ccd35527af6113664fd1
    as upstream_fix-master-channel-selection.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 14 Sep 2012 22:41:19 +0200

kmix (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 15:16:20 +0530

kmix (4:4.9.0-0ubuntu1) quantal; urgency=low

  [ Philip Muškovac ]
  * Fix the short description of kmix-dev so it says that it's a
    development package

  [ Jonathan Riddell ]
  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:28:01 +0100

kmix (4:4.8.90+repack-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.
  * Repack upstream tarball to add a copy of the GPL-2.
  * Add cmake files to debian/copyright.

  [ Jonathan Riddell ]
  * Update .install file

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 14 Jun 2012 17:19:54 +0200

kmix (4:4.8.80-0ubuntu1) quantal; urgency=low

  * Initial release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Jun 2012 14:22:19 +0200

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9~),               
               kdelibs5-dev (>= 4:4.9.1),
               pkg-kde-tools (>= 0.12),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libpulse-dev (>= 0.9.12),
               libcanberra-dev
Standards-Version: 3.9.3.1
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmix
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmix

Package: kmix
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-audio-mixer
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.

Package: kmix-dev
Section: devel
Architecture: all
Depends: kmix (>= ${source:Version})
Breaks: kdemultimedia-dev (<< 4:4.8.80)
Replaces: kdemultimedia-dev (<< 4:4.8.80)
Description: volume control and mixer -- development files
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package contains the dbus interface XML files for kmix.

Package: kmix-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, kmix (= ${binary:Version})
Breaks: kdemultimedia-dbg (<< 4:4.8.80)
Replaces: kdemultimedia-dbg (<< 4:4.8.80)
Description: volume control and mixer -- debugging symbols
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package contains the debugging files used to investigate problems with
 kmix.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kmix-dbg

## kmix 4.9.3

=== debian/changelog ===
kmix (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:38:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.9.1),
+               kdelibs5-dev (>= 4:4.9.3),
                pkg-kde-tools (>= 0.12),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libpulse-dev (>= 0.9.12),

## kmix 4.9.5

=== debian/changelog ===
kmix (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:39:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.9.3),
+               kdelibs5-dev (>= 4:4.9.5),
                pkg-kde-tools (>= 0.12),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libpulse-dev (>= 0.9.12),

## kmix 4.10.0

=== debian/changelog ===
kmix (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:57:58 +0000

kmix (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:45:15 +0000

kmix (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:38:23 +0100

kmix (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:34:11 +0000

kmix (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:59:48 +0000

kmix (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Update kmix.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:00:11 +0000

kmix (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:38:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.9.5),
+               kdelibs5-dev (>= 4:4.10.0),
                pkg-kde-tools (>= 0.12),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libpulse-dev (>= 0.9.12),

## kmix 4.10.2

=== debian/changelog ===
kmix (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:52:04 +0200

kmix (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:29:12 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
                pkg-kde-tools (>= 0.12),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libpulse-dev (>= 0.9.12),

## kmix 4.10.4

=== debian/changelog ===
kmix (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:33:53 +0200

kmix (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:13:48 +0200

kmix (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:52:04 +0200

kmix (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:29:12 +0000

kmix (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:57:58 +0000

kmix (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:45:15 +0000

kmix (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:38:23 +0100

kmix (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:34:11 +0000

kmix (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:59:48 +0000

kmix (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Update kmix.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:00:11 +0000

kmix (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:38:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Philip Muškovac <yofel@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9~),               
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.4),
                pkg-kde-tools (>= 0.12),
                libasound2-dev (>= 1.0.14a) [linux-any],
                libpulse-dev (>= 0.9.12),

## kmix 4.11.2

=== debian/changelog ===
kmix (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:30:17 +0100

kmix (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:26:19 +0100

kmix (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:20:43 +0100

kmix (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:40:54 +0100

kmix (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:42 +0000

kmix (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:17:48 +0100

kmix (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Refresh kmix_showeverywhere.diff 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:24:49 +0100

kmix (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:36:39 +0100

kmix (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 May 2013 16:55:16 +0000

kmix (4:4.10.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * Initial packaging.

 -- Sune Vuorela <sune@debian.org>  Mon, 08 Apr 2013 19:09:44 +0000

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libasound2-dev [linux-any],
 libpulse-dev (>= 0.9.12),
 libcanberra-dev,
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmix
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmix
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kmix.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

## kmix 4.13.0

=== debian/changelog ===
kmix (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:07:37 +0100

kmix (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:31:35 +0200

kmix (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:33:34 +0100

kmix (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release
  * Add kubuntu_script-interpreter.diff from upstream to add
    interpreter to kmixremote

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:03:43 +0000

kmix (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:53:44 +0100

kmix (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:06:07 +0000

kmix (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:22:17 +0000

kmix (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:13:54 +0000

kmix (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:14:36 +0000

kmix (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:11:59 +0100

kmix (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.13.0),
  libasound2-dev [linux-any],
  libpulse-dev (>= 0.9.12),
  libcanberra-dev,

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kmix-([\d\.]*).tar.xz

## kmix 4.13.3

=== CMakeLists.txt ===
project(kmix)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

# Do not yet REQUIRE Phonon. Hint: As long as we do not find_package(), ${KDE4_PHONON_LIBS} will be empty below, but that should not hurt.
#find_package(Phonon REQUIRED)

find_package(Alsa)

macro_optional_find_package(PulseAudio "0.9.12")
macro_log_feature(PULSEAUDIO_FOUND "PulseAudio" "PulseAudio Audio Server" "http://www.pulseaudio.org/" FALSE "0.9.12" "libpulse is needed to let KMix control PulseAudio")
find_package(GLIB2)
macro_optional_find_package(Canberra)
macro_log_feature(CANBERRA_FOUND "libcanberra" "libcanberra audio library" "http://0pointer.de/lennart/projects/libcanberra/" FALSE "" "libcanberra is needed for kmix sound feedback")

alsa_configure_file(${CMAKE_BINARY_DIR}/config-alsa.h)


add_definitions (${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS} )
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=67100)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
if(MSVC)
    include_directories( ${TAGLIB_INCLUDES} )
endif(MSVC)


include(CheckCXXSourceCompiles)
check_cxx_source_compiles("
    #include <memory>
    int main() { std::shared_ptr<int> p; return 0; }
" HAVE_STD_SHARED_PTR)
check_cxx_source_compiles("
    #include <tr1/memory>
    int main() { std::tr1::shared_ptr<int> p; return 0; }
" HAVE_STD_TR1_SHARED_PTR)


configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )


include_directories( ${GLIB2_INCLUDE_DIR} /usr/lib/oss/include)

add_subdirectory( doc )
add_subdirectory( pics ) 
add_subdirectory( profiles ) 
#add_subdirectory( tests )

if (PULSEAUDIO_FOUND)
  add_definitions(-DHAVE_PULSE)

  include_directories(${PULSEAUDIO_INCLUDE_DIR})
endif (PULSEAUDIO_FOUND)

if (CANBERRA_FOUND)
  add_definitions(-DHAVE_CANBERRA)

  include_directories(${CANBERRA_INCLUDE_DIRS})
endif (CANBERRA_FOUND)


set(kmix_adaptor_SRCS
	dbus/dbusmixerwrapper.cpp
	dbus/dbusmixsetwrapper.cpp
	dbus/dbuscontrolwrapper.cpp)
qt4_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.control.xml
	dbus/dbuscontrolwrapper.h DBusControlWrapper )
qt4_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixer.xml
	dbus/dbusmixerwrapper.h DBusMixerWrapper )
qt4_add_dbus_adaptor( kmix_adaptor_SRCS dbus/org.kde.kmix.mixset.xml
	dbus/dbusmixsetwrapper.h DBusMixSetWrapper )

set(kmix_backend_SRCS
   backends/mixer_backend.cpp
   backends/mixer_mpris2.cpp
   )

if (HAVE_LIBASOUND2)
  set(kmix_backend_SRCS ${kmix_backend_SRCS}
      backends/mixer_alsa9.cpp )
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
  set(kmix_backend_SRCS ${kmix_backend_SRCS}
      backends/mixer_pulse.cpp )
endif (PULSEAUDIO_FOUND)

set(kmix_KDEINIT_SRCS ${kmix_adaptor_SRCS} ${kmix_backend_SRCS}
   apps/main.cpp 
   apps/kmix.cpp 
   apps/KMixApp.cpp
   gui/kmixdockwidget.cpp 
   gui/kmixprefdlg.cpp 
   gui/viewbase.cpp 
   gui/viewdockareapopup.cpp 
   gui/viewsliders.cpp 
   gui/mixdevicewidget.cpp 
   gui/mdwmoveaction.cpp
   gui/mdwslider.cpp 
   gui/mdwenum.cpp 
   gui/kmixerwidget.cpp 
   gui/ksmallslider.cpp
   gui/verticaltext.cpp
   gui/volumeslider.cpp 
   gui/kmixtoolbox.cpp 
   gui/dialogaddview.cpp 
   gui/dialogviewconfiguration.cpp 
   gui/dialogselectmaster.cpp 
   gui/dialogchoosebackends.cpp 
   gui/guiprofile.cpp
   gui/osdwidget.cpp
   core/MediaController.cpp
   core/mixertoolbox.cpp
   core/kmixdevicemanager.cpp
   core/ControlManager.cpp
#   core/ControlPool.cpp
   core/GlobalConfig.cpp
   core/MasterControl.cpp
   core/mixer.cpp
   core/mixset.cpp
   core/mixdevice.cpp
   core/mixdevicecomposite.cpp
   core/volume.cpp
   )

kde4_add_kdeinit_executable( kmix ${kmix_KDEINIT_SRCS})

target_link_libraries(kdeinit_kmix ${KDE4_SOLID_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_PHONON_LIBS})
#target_link_libraries(kdeinit_kmix ${KDE4_KUTILS_LIBS} /home/kde/workspace/kdelibs/build/lib/libsolid.so.4.7.0 ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${QT_QTXML_LIBRARY})

if (HAVE_LIBASOUND2)
    target_link_libraries(kdeinit_kmix ${ASOUND_LIBRARY})
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
    target_link_libraries(kdeinit_kmix ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
endif (PULSEAUDIO_FOUND)

if (CANBERRA_FOUND)
  target_link_libraries(kdeinit_kmix ${CANBERRA_LIBRARIES})
endif (CANBERRA_FOUND)

install(TARGETS kdeinit_kmix  DESTINATION ${LIB_INSTALL_DIR} )

target_link_libraries( kmix kdeinit_kmix )
install(TARGETS kmix  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### next target ###############

 set(kded_kmixd_SRCS ${kmix_adaptor_SRCS} ${kmix_backend_SRCS}
    apps/kmixd.cpp 
    core/ControlManager.cpp
#    core/ControlPool.cpp
    core/GlobalConfig.cpp
    core/MasterControl.cpp
    core/MediaController.cpp
    core/mixer.cpp 
    core/mixset.cpp 
    core/mixdevice.cpp 
    core/volume.cpp
    core/mixertoolbox.cpp 
    core/kmixdevicemanager.cpp
    )

#qt4_add_dbus_adaptor(kded_kmixd_SRCS org.kde.KMixD.xml kmixd.h Mixer) 
 
kde4_add_plugin(kded_kmixd ${kded_kmixd_SRCS})


target_link_libraries(kded_kmixd ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_PHONON_LIBS})

if (HAVE_LIBASOUND2)
    target_link_libraries(kded_kmixd ${ASOUND_LIBRARY})
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
    target_link_libraries(kded_kmixd ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
endif (PULSEAUDIO_FOUND)

if (CANBERRA_FOUND)
  target_link_libraries(kded_kmixd ${CANBERRA_LIBRARIES})
endif (CANBERRA_FOUND)

install(TARGETS kded_kmixd DESTINATION ${PLUGIN_INSTALL_DIR})

#target_link_libraries( kmixd kded_kmixd )
#install(TARGETS kmixd DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kmixd.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kded )

########### next target ###############

set(kmixctrl_KDEINIT_SRCS ${kmix_adaptor_SRCS} ${kmix_backend_SRCS}
   apps/kmixctrl.cpp 
   core/ControlManager.cpp
#   core/ControlPool.cpp
   core/GlobalConfig.cpp
   core/MasterControl.cpp
   core/MediaController.cpp
   core/mixer.cpp 
   core/mixset.cpp 
   core/mixdevice.cpp 
   core/volume.cpp 
   core/mixertoolbox.cpp 
   core/kmixdevicemanager.cpp
   )

# gui/guiprofile.cpp


kde4_add_kdeinit_executable( kmixctrl ${kmixctrl_KDEINIT_SRCS})

target_link_libraries(kdeinit_kmixctrl ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_PHONON_LIBS})

if (HAVE_LIBASOUND2)
    target_link_libraries(kdeinit_kmixctrl ${ASOUND_LIBRARY})
endif (HAVE_LIBASOUND2)

if (PULSEAUDIO_FOUND)
    target_link_libraries(kdeinit_kmixctrl ${PULSEAUDIO_LIBRARY} ${PULSEAUDIO_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
endif (PULSEAUDIO_FOUND)

if (CANBERRA_FOUND)
  target_link_libraries(kdeinit_kmixctrl ${CANBERRA_LIBRARIES})
endif (CANBERRA_FOUND)

########### next target ###############
add_subdirectory( plasma )

install( TARGETS kdeinit_kmixctrl  DESTINATION ${LIB_INSTALL_DIR} )

target_link_libraries( kmixctrl kdeinit_kmixctrl )
install( TARGETS kmixctrl ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( PROGRAMS kmix.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( PROGRAMS apps/kmixremote DESTINATION ${BIN_INSTALL_DIR} )
install( FILES restore_kmix_volumes.desktop  DESTINATION ${AUTOSTART_INSTALL_DIR})
install( FILES kmix_autostart.desktop  DESTINATION ${AUTOSTART_INSTALL_DIR})
install( FILES kmixui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kmix )
install( FILES kmixctrl_restore.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES dbus/org.kde.kmix.control.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
install( FILES dbus/org.kde.kmix.mixer.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )
install( FILES dbus/org.kde.kmix.mixset.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

macro_display_feature_log()

=== doc/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmix)

=== plasma/engine/CMakeLists.txt ===
include_directories( ../../ )

set(mixer_engine_SRCS
	mixerengine.cpp
	mixerservice.cpp
)

qt4_add_dbus_interface(mixer_engine_SRCS ../../dbus/org.kde.kmix.mixset.xml
	mixset_interface)
qt4_add_dbus_interface(mixer_engine_SRCS ../../dbus/org.kde.kmix.mixer.xml
	mixer_interface)
qt4_add_dbus_interface(mixer_engine_SRCS ../../dbus/org.kde.kmix.control.xml
	control_interface)

kde4_add_plugin(plasma_engine_mixer ${mixer_engine_SRCS})
target_link_libraries(plasma_engine_mixer ${KDE4_KDECORE_LIBS}
	${KDE4_PLASMA_LIBS})

install(TARGETS plasma_engine_mixer DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-engine-mixer.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES mixer.operations DESTINATION
	${DATA_INSTALL_DIR}/plasma/services)

=== debian/changelog ===
kmix (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:31:09 +0200

kmix (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:49:43 +0200

kmix (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:52:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libasound2-dev [linux-any],
  libpulse-dev (>= 0.9.12),
  libcanberra-dev,

## kmix 4.14.0

=== debian/changelog ===
kmix (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Remove upstream applied patch: kubuntu_script-interpreter.diff

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 19:51:35 +0200

kmix (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Jul 2014 18:05:14 +0200

kmix (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * New patch: kubuntu_script-interpreter.diff

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 May 2014 19:05:11 +0200

kmix (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:58 +0200

kmix (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:13 +0100

kmix (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 12:16:51 +0100

kmix (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:00:47 +0200

kmix (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 17:58:58 +0200

kmix (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 11:09:50 +0200

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmix.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kmix-([\d.]+).tar.xz

## kmix 4.14.1

=== debian/changelog ===
kmix (4:4.14.1-0ubuntu3) utopic; urgency=medium

  * Add restore_kmix_volumes.desktop link from xdg directory
    LP: #1364432

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Sep 2014 16:11:22 +0200

kmix (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Add kmix.links with link for autostart files from xdg directory
    LP: #1364432

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Sep 2014 16:06:06 +0200

kmix (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:21:09 +0200

kmix (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:13:53 +0200

kmix (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:55:40 +0200

kmix (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:23:11 +0200

kmix (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Remove kubuntu_script-interpreter.diff applied upstream

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 15:27:38 -0700

kmix (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:02:30 +0100

kmix (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, remaining changes :
    - Keep kmix_showeverywhere.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 16 Jun 2014 20:06:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: kmix
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
                libasound2-dev [linux-any],
                libcanberra-dev,
                libglib2.0-dev,
-               libpulse-dev (>= 0.9.16),
+               libpulse-dev (>= 0.9.12),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmix.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmix.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmix
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kmix
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kmix.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kmix.git
 
 Package: kmix
 Section: sound

## kmix 4.14.2

=== debian/changelog ===
kmix (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:53:31 +0200

kmix (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:33:59 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libasound2-dev [linux-any],
                libcanberra-dev,
                libglib2.0-dev,

## kmix 14.12.3

=== debian/changelog ===
kmix (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdelibs parent version depend 
  * New upstream release
  * Fix the kdelibs5 version in build depends. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:34:06 -0700

kmix (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:37:29 -0800

kmix (4:14.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 10:22:11 -0800

kmix (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 21:32:07 -0800

kmix (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes: 
   - Keep kmix_showeverywhere.diff
   - Keep kmix.links

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 26 Nov 2014 15:22:39 +0000

kmix (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:33:59 -0700

=== debian/control ===
Source: kmix
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14),
               libasound2-dev [linux-any],
               libcanberra-dev,
               libglib2.0-dev,
               libpulse-dev (>= 0.9.16),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmix.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmix.git

Package: kmix
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: x-audio-mixer
Breaks: kdemultimedia-dev (<< 4:4.10)
Replaces: kdemultimedia-dev (<< 4:4.10)
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmix-([\d.]+).tar.xz

## kmix 15.08.2

=== debian/changelog ===
kmix (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:34:59 +0100

kmix (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)
  * Removed upstream_fix-kmixui.rc-install-location.diff as applied upstream

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:09:32 +0100

kmix (4:15.08.0-0ubuntu3) wily; urgency=medium

  * Add kubuntu_cmake-policy.diff to fix compilation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Sep 2015 13:49:30 +0100

kmix (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Add upstream_fix-kmixui.rc-install-location.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 21:06:13 +0100

kmix (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:31:02 +0100

kmix (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:35:30 +0100

kmix (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix kdelibs version 
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:10:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libglib2.0-dev,
                libpulse-dev (>= 0.9.16),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kmix.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kmix.git
